Package org.silverpeas.components.kmelia.security.authorization

## Class KmeliaInstancePublicationAccessControlExtension

- java.lang.Object
- - org.silverpeas.core.security.authorization.DefaultInstancePublicationAccessControlExtension
  - - org.silverpeas.components.kmelia.security.authorization.KmeliaInstancePublicationAccessControlExtension

- All Implemented Interfaces:
    `org.silverpeas.core.security.authorization.ComponentInstancePublicationAccessControlExtension`
  Direct Known Subclasses:
    `KmaxInstancePublicationAccessControlExtension`, `ToolboxInstancePublicationAccessControlExtension`

      @Bean
      @Named
      @Singleton
      public class KmeliaInstancePublicationAccessControlExtension
      extends org.silverpeas.core.security.authorization.DefaultInstancePublicationAccessControlExtension

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.security.authorization.ComponentInstancePublicationAccessControlExtension

      `org.silverpeas.core.security.authorization.ComponentInstancePublicationAccessControlExtension.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaInstancePublicationAccessControlExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `isDraftVisibleWithCoWriting()` |

    - ### Methods inherited from class org.silverpeas.core.security.authorization.DefaultInstancePublicationAccessControlExtension

      `canPublicationBePersistedOrDeletedBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaInstancePublicationAccessControlExtension

          public KmeliaInstancePublicationAccessControlExtension()

  - ### Method Detail

    - #### isDraftVisibleWithCoWriting

          protected boolean isDraftVisibleWithCoWriting()

      Overrides:
        `isDraftVisibleWithCoWriting` in class `org.silverpeas.core.security.authorization.DefaultInstancePublicationAccessControlExtension`